﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9
@EndOfDesignText@
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	' Design
	Public Const ThemeMenuBackground As Int = Colors.RGB(21,122,166)
	Public Const ThemeButtonBackground As Int = Colors.RGB(236,236,236)
	Public Const ThemeButtonText As Int = Colors.RGB(82,82,82)
	Public Const ThemeButtonTextSelected As Int = Colors.RGB(0,87,140)
	Public Const ThemeButtonFont As Typeface =  Typeface.CreateNew(Typeface.DEFAULT, Typeface.STYLE_NORMAL)
	Public Const ThemeButtonFontSelected As Typeface =  Typeface.CreateNew(Typeface.DEFAULT, Typeface.STYLE_BOLD)
	
	' Shared Variables
	Public GlobalParameterList As Map  
	
	Public CurrentUserID As Long = 0
	Public CurrentUserName As String = ""
	Public CurrentCompany As String = ""
	Public LastTimeAlive As Long
	
	Public TextLogger As TrsLogClass

	
	'yyyy-MM-dd HH:mm:ss
	Public SQLDateFormat As String = "yyyy-MM-dd HH:mm:ss"
	Public Vibrate As PhoneVibrate
	
	Public bUpdateAvailable As Boolean = False 
	'public hg As PhoneEvents
	
End Sub

#Region Graph
Public Sub FontAwToBitmap (s As String, FontSize As Float, Color As Int) As Bitmap
	Dim bmp As Bitmap
	bmp.InitializeMutable(32dip, 32dip)
	Dim cvs As Canvas
	cvs.Initialize2(bmp)
	Dim h As Double = cvs.MeasureStringHeight(s, Typeface.CreateNew(Typeface.FONTAWESOME, Typeface.STYLE_NORMAL), FontSize)
	cvs.DrawText(s, bmp.Width / 2, bmp.Height / 2 + h / 2, Typeface.CreateNew(Typeface.FONTAWESOME, Typeface.STYLE_NORMAL), FontSize, Color, "CENTER")
	Return bmp
End Sub
#End Region

'custom subs
#Region "CustomSubs"

' scan the drive in order to make the files provided visible in windows
Sub FileMediaScanner(PathName As String, FileName As String )
	Try
		'send the intent that asks the media scanner to scan the file
		Dim i As Intent
		i.Initialize("android.intent.action.MEDIA_SCANNER_SCAN_FILE", "file://" & File.Combine(PathName, FileName))
		Dim p As Phone
		p.SendBroadcastIntent(i)
	Catch
		TextLogger.LogError("starter","MediaScanner",LastException.Message,"")
	End Try
End Sub

 ' scan the drive in order to make the all files from the path visible in windows
Sub PathMediaScanner(PathName As String)
	Dim fileList As List
	Dim n As Int
	Dim FileName As String

	Try
		fileList = File.ListFiles(PathName)
		fileList.Sort(True)
		
		For n = 0 To fileList.Size-1
		'send the intent that asks the media scanner to scan the file		
			FileName = fileList.Get(n)
			Dim i As Intent
			i.Initialize("android.intent.action.MEDIA_SCANNER_SCAN_FILE", "file://" & File.Combine(PathName, FileName))
			Dim p As Phone
			p.SendBroadcastIntent(i)
		Next

	Catch
		Log(LastException)
	End Try
End Sub


#End Region

